import Store from '@/store/'
export default [

  {
    path: '/home',
    component: () => import(/* webpackChunkName: "page" */ '@/page/home/index'),
    name: '首页',
    meta: {
      keepAlive: true,
      isTab: false,
      isAuth: true
    }
  },

  {
    path: '/login',
    name: '登录页',
    component: () => (Store.getters.isMacOs ? import('@/mac/login.vue') : import('@/page/login/index.vue')),
    meta: {
      keepAlive: true,
      isTab: false,
      isAuth: false
    }
  },

  {
    path: '/404',
    component: () => import(/* webpackChunkName: "page" */ '@/components/error-page/404'),
    name: '404',
    meta: {
      keepAlive: true,
      isTab: false,
      isAuth: false
    }
  },
  {
    path: '/403',
    component: () => import(/* webpackChunkName: "page" */ '@/components/error-page/403'),
    name: '403',
    meta: {
      keepAlive: true,
      isTab: false,
      isAuth: false
    }
  },
  {
    path: '/500',
    component: () => import(/* webpackChunkName: "page" */ '@/components/error-page/500'),
    name: '500',
    meta: {
      keepAlive: true,
      isTab: false,
      isAuth: false
    }
  }
  // {
  //   path: '*',
  //   redirect: '/404'
  // }
]
